@echo off

set sn="C:\Program Files\Microsoft Visual Studio .NET\FrameworkSDK\Bin\sn.exe"
set gacutil="C:\Program Files\Microsoft Visual Studio .NET\FrameworkSDK\Bin\gacutil.exe"
set devenv="C:\Program Files\Microsoft Visual Studio .NET\Common7\IDE\devenv.com"
set dxver=v6.1
set configuration=Debug

if exist DevExpress.Key\StrongKey.snk goto build
echo Generating strong key
%sn% -k DevExpress.Key\StrongKey.snk

:build
call buildproject.cmd DevExpress.Utils.%dxver% ".\DevExpress.Utils\DevExpress.Utils.csproj"
call buildproject.cmd DevExpress.Data.%dxver% ".\DevExpress.Data\DevExpress.Data.csproj"
call buildproject.cmd DevExpress.BonusSkins.%dxver% ".\DevExpress.BonusSkins\DevExpress.BonusSkins.csproj" 
call buildproject.cmd DevExpress.XtraEditors.%dxver% ".\DevExpress.XtraEditors\DevExpress.XtraEditors\DevExpress.XtraEditors.csproj" 
call buildproject.cmd DevExpress.XtraEditors.%dxver%.Design ".\DevExpress.XtraEditors\DevExpress.XtraEditors.Design\DevExpress.XtraEditors.Design.csproj" 
call buildproject.cmd DevExpress.XtraNavBar.%dxver% ".\DevExpress.XtraNavBar\DevExpress.XtraNavBar\DevExpress.XtraNavBar.csproj" 
call buildproject.cmd DevExpress.XtraNavBar.%dxver%.Design ".\DevExpress.XtraNavBar\DevExpress.XtraNavBar.Design\DevExpress.XtraNavBar.Design.csproj" 
call buildproject.cmd DevExpress.Web.ASPxDataControls.%dxver% ".\DevExpress.Web.ASPxDataControls\DevExpress.Web.ASPxDataControls.csproj"
call buildproject.cmd DevExpress.Web.ASPxGrid.%dxver% ".\DevExpress.Web.ASPxGrid\DevExpress.Web.ASPxGrid.csproj"
call buildproject.cmd DevExpress.Web.Menus.%dxver% ".\ASPxNavigation\DevExpress.Web.Menus\DevExpress.Web.Menus.csproj"
call buildproject.cmd DevExpress.Web.Menus.%dxver%.Design ".\ASPxNavigation\DevExpress.Web.Menus.Design\DevExpress.Web.Menus.Design.csproj"
call buildproject.cmd DevExpress.Web.NavBar.%dxver% ".\ASPxNavigation\DevExpress.Web.NavBar\DevExpress.Web.NavBar.csproj" 
call buildproject.cmd DevExpress.Web.NavBar.%dxver%.Design ".\ASPxNavigation\DevExpress.Web.NavBar.Design\DevExpress.Web.NavBar.Design.csproj" 
call buildproject.cmd DevExpress.Web.PopupControl.%dxver% ".\ASPxNavigation\DevExpress.Web.PopupControl\DevExpress.Web.PopupControl.csproj" 
call buildproject.cmd DevExpress.Web.PopupControl.%dxver%.Design ".\ASPxNavigation\DevExpress.Web.PopupControl.Design\DevExpress.Web.PopupControl.Design.csproj" 
call buildproject.cmd DevExpress.Xpo.%dxver% ".\DevExpress.Xpo\DevExpress.Xpo\DevExpress.Xpo.csproj" 
call buildproject.cmd DevExpress.Xpo.%dxver%.Design ".\DevExpress.Xpo\DevExpress.Xpo.Design\DevExpress.Xpo.Design.csproj" 
rem call buildproject.cmd DevExpress.Xpo.%dxver%.Providers ".\DevExpress.Xpo\DevExpress.Xpo.Providers\DevExpress.Xpo.Providers.csproj" 
call buildproject.cmd DevExpress.XtraBars.%dxver% ".\DevExpress.XtraBars\DevExpress.XtraBars\DevExpress.XtraBars.csproj" 
call buildproject.cmd DevExpress.XtraBars.%dxver%.Design ".\DevExpress.XtraBars\DevExpress.XtraBars.Design\DevExpress.XtraBars.Design.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver% ".\DevExpress.XtraCharts\DevExpress.XtraCharts\DevExpress.XtraCharts.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver%.UI ".\DevExpress.XtraCharts\DevExpress.XtraCharts.UI\DevExpress.XtraCharts.UI.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver%.Design ".\DevExpress.XtraCharts\DevExpress.XtraCharts.Design\DevExpress.XtraCharts.Design.csproj" 
call buildproject.cmd DevExpress.XtraGrid.%dxver% ".\DevExpress.XtraGrid\DevExpress.XtraGrid\DevExpress.XtraGrid.csproj" 
call buildproject.cmd DevExpress.XtraGrid.%dxver%.Design ".\DevExpress.XtraGrid\DevExpress.XtraGrid.Design\DevExpress.XtraGrid.Design.csproj" 
call buildproject.cmd DevExpress.XtraLayout.%dxver% ".\DevExpress.XtraLayout\DevExpress.XtraLayout\DevExpress.XtraLayout.csproj" 
call buildproject.cmd DevExpress.XtraLayout.%dxver%.Design ".\DevExpress.XtraLayout\DevExpress.XtraLayout.Design\DevExpress.XtraLayout.Design.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver% ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver%.Design ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.Design\DevExpress.XtraPivotGrid.Design.csproj" 
call buildproject.cmd DevExpress.XtraPrinting.%dxver% ".\DevExpress.XtraPrinting\DevExpress.XtraPrinting\DevExpress.XtraPrinting.csproj" 
call buildproject.cmd DevExpress.XtraPrinting.%dxver%.Design ".\DevExpress.XtraPrinting\DevExpress.XtraPrinting.Design\DevExpress.XtraPrinting.Design.csproj" 
call buildproject.cmd DevExpress.XtraReports.%dxver% ".\DevExpress.XtraReports\DevExpress.XtraReports\DevExpress.XtraReports.csproj" 
call buildproject.cmd DevExpress.XtraReports.%dxver%.Design ".\DevExpress.XtraReports\DevExpress.XtraReports.Design\DevExpress.XtraReports.Design.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver% ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler\DevExpress.XtraScheduler.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.Design ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.Design\DevExpress.XtraScheduler.Design.csproj" 
call buildproject.cmd DevExpress.XtraTreeList.%dxver% ".\DevExpress.XtraTreeList\DevExpress.XtraTreeList\DevExpress.XtraTreeList.csproj" 
call buildproject.cmd DevExpress.XtraTreeList.%dxver%.Design ".\DevExpress.XtraTreeList\DevExpress.XtraTreeList.Design\DevExpress.XtraTreeList.Design.csproj" 
call buildproject.cmd DevExpress.XtraVerticalGrid.%dxver% ".\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid.csproj" 
call buildproject.cmd DevExpress.XtraVerticalGrid.%dxver%.Design ".\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid.Design\DevExpress.XtraVerticalGrid.Design.csproj" 
call buildproject.cmd DevExpress.Tutorials.%dxver% ".\DevExpress.Tutorials\DevExpress.Tutorials.csproj" 

echo -------------------------------
echo All done
pause
